Welcome to the Android Central Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Page 2 of 2 FirstFirst 12
Results 26 to 31 of 31
Like Tree2Likes
  1. #26  
    Rukbat's Avatar

    Posts
    6,172 Posts
    Global Posts
    6,173 Global Posts
    ROM
    X-Note7.0.1

    Default Re: Your device isn't compatible with this version

    There's a problem if a manufacturer just puts Play Store on a phone without getting Google involved in the process. What "not compatible with this device" means in that case is (we didn't authorize the manufacturer to use the Google Play Store, so you can't download apps from here".

    Your best bet, when common apps give you that error is to get the Amazon App Store app and download your apps from there. It's as safe as Google and they have pretty much the same apps.
    Thanked by:
    ezzcrits likes this.
  2. #27  

    Default Re: Your device isn't compatible with this version

    i have an Htc one mini and im trying to download an app called blastron it says my device isnt compatible with this version
  3. #28  

    Default Re: Your device isn't compatible with this version

    Welcome to Android Central! Are you trying to install from Google Play? https://play.google.com/store/apps/d...abam.blastbots
  4. #29  

    Default Re: Your device isn't compatible with this version

    So I tried to download some app on play stor like snapchat line etc but it said " your divice isn't compatible with his version" I used HTC Verizon
  5. #30  

    Default Re: Your device isn't compatible with this version

    Welcome to Android Central! Apps are not necessarily compatible with all devices. It may depend on hardware or firmware issues.
  6. #31  

    Default Re: Your device isn't compatible with this version

    Thank you! After many unsuccessful attempts to find resolution, yours was right on target.
Page 2 of 2 FirstFirst 12

Similar Threads

  1. Is there any way to fix "your device isn't compatible with this v
    By jimmiegeddes in forum Verizon Galaxy Nexus Rooting, ROMs, and Hacks
    Replies: 2
    Last Post: 03-24-2012, 11:24 PM
  2. Any way to fix "your device isn't compatible with this version"?
    By jimmiegeddes in forum Verizon Galaxy Nexus
    Replies: 3
    Last Post: 03-24-2012, 01:01 PM
  3. Rooted Nook Color your device isn't compatible with this item
    By melanie_mg in forum Barnes & Noble Nook Color
    Replies: 3
    Last Post: 03-21-2012, 12:11 PM
  4. Is anyone else noticing "device is not compatible with this item"
    By f75gunslinger in forum Verizon Fascinate
    Replies: 9
    Last Post: 01-23-2012, 03:43 PM
  5. Your device is not compatible with this item!
    By Adibidah in forum Barnes & Noble Nook Color
    Replies: 8
    Last Post: 10-01-2011, 12:08 PM

Posting Permissions